Index Data

This endpoint returns the daily revenues of a specified Index (see Enact's GB index page).

The indices have been backfilled from 1st January 2020 and include daily data up to and including yesterday.

To access the data of a specified index, you'll need its corresponding GUID which can be found by clicking the ID icon next to an index on the GB index page.


Using the LCPDelta Python Package

Synchronous

from lcp_delta import enact
from datetime import date
 
enact_api_helper = enact.APIHelper(username, public_api_key)
 
# see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = enact_api_helper.get_gb_index_data(
    date(2025,5,1),
    date(2025,5,31),
    index_id = "fa8e0adc-399a-40e5-adaf-27f973f98985",
    normalisation ="PoundPerKwPerYear",
    granularity ="Week",
    show_profit = "false",
    gas_price_assumption = None, 
    market_price_assumption = "WeightedAverageDayAheadPrice",
    account_for_availability_in_normalisation = "false",
    include_wholesale_split = "false",
    bm_split_out_option = None,
    ancillary_revenue_type = "ByProduct",
    group_dx = "false",
    include_capacity_market = "true",
    include_non_delivery_charges = "true",
    include_imbalance= "false",
    include_estimated_charging_cost= "false",
    include_fpnflagoff_wholesale= "false",
    charging_cost_price = "IntradayPrice",
    charging_cost_assumption = "PreviousEFABlock",
    reserve_penalty_split_out = "Show"
    )

print(response_dataframe)

Asynchronous

from lcp_delta import enact
from datetime import date
import asyncio
 
async def main():
  enact_api_helper = enact.APIHelper(username, public_api_key)

# see 'BODY PARAMS' section below for details on corresponding parameter values
    response_dataframe = enact_api_helper.get_gb_index_data_async(
    date(2025,5,1),
    date(2025,5,31),
    index_id = "fa8e0adc-399a-40e5-adaf-27f973f98985",
    normalisation ="PoundPerKwPerYear",
    granularity ="Week",
    show_profit = "false",
    gas_price_assumption = None, 
    market_price_assumption = "WeightedAverageDayAheadPrice",
    account_for_availability_in_normalisation = "false",
    include_wholesale_split = "false",
    bm_split_out_option = None,
    ancillary_revenue_type = "ByProduct",
    group_dx = "false",
    include_capacity_market = "true",
    include_non_delivery_charges = "true",
    include_imbalance= "false",
    include_estimated_charging_cost= "false",
    include_fpnflagoff_wholesale= "false",
    charging_cost_price = "IntradayPrice",
    charging_cost_assumption = "PreviousEFABlock",
    reserve_penalty_split_out = "Show"
    )

print(response_dataframe)
 
asyncio.run(main())

Using the API Directly

Body Params
date-time
required

The start of the date range to request for.

date-time
required

The end of the date range to request for.

string
required

The index ID denoting which index to get data for. Index IDs can be found on the GB Index page on Enact, by clicking the ID icon next to an index.

string
Defaults to "PoundPerKwPerYear"

The normalisation to apply. "Pound", "PoundPerMw", "PoundPerMwh", "PoundPerThroughput", "PoundPerMwPerYear" or "PoundPerKwPerYear".

string
Defaults to "Week"

The granularity of the data. "Day", "Week", "Month" or "Year".

string
Defaults to "false"

Set to "true" to show profit or "false" to show revenue.

string
Defaults to "DayAheadForward"

The price the gas costs are calculated against. "DayAheadForward", "DayAheadSpot", "WithinDaySpot", "CheapestPrice" or None.

string
Defaults to "WeightedAverageDayAheadPrice"

The price the wholesale revenues are calculated against. "EpexDayAheadPrice", "WeightedAverageDayAheadPrice", "NordpoolDayAheadPrice", "IntradayPrice" or "BestPrice".

string
Defaults to "false"

Set to "true" to account for availability in normalisation or "false".

string
Defaults to "false"

Set to "true" to show wholesale import and export profit split or "false".

string
Defaults to None

"BidOfferSplit" or "SystemEnergySplit" or None.

string
Defaults to "ByProduct"

"FrequencyAndReserve", "ByProduct" or "ByDirection".

string
Defaults to "false"

Set to "true" to group all Dx services of the same direction together or "false".

string
Defaults to "true"

Set to "true" to include capacity market profits or "false".

string
Defaults to "true"

Set to "true" to include non-delivery charges or "false".

string
Defaults to false

Set to "false" (default) to exclude imbalance payments for non-BM and secondary BMUs

string
Defaults to false

Set to "false" (default) to exclude estimated charging/discharging costs for non-BM and secondary BMUs

string
Defaults to false

Set to "false" (default) to exclude estimated wholesale revenue for BM (No FPN) assets

string
Defaults to IntradayPrice

The price assumption using for the estimated charging/discharging costs of non-BM and secondary BMUs. Options are: 'WeightedAverageDayAheadPrice', 'EpexDayAheadPrice', 'NordpoolDayAheadPrice', 'IntradayPrice' (default) or 'SystemPrice'

string
Defaults to PreviousEFABlock

The charging cost assumption used for the estimated charging/discharging costs for non-BM and secondary BMUs. Options are: 'PreviousEFABlock' (default), 'OptimalPricePrev12Hours' and 'CurrentSp'

string
Defaults to Show

The option for showing Reserve penalties. Options are: "Show" (default), "Ignore", and "Absorb".

Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json